package com.application.DB;

import com.application.GUI.Panes.LogoBar;
import com.application.GUI.PopUpWindows.NotificationPopUp;
import com.google.cloud.bigquery.FieldValueList;
import com.google.cloud.bigquery.TableResult;

import static com.application.DB.Constants.*;
import static com.application.DB.Settings.*;
import static com.application.GUI.PopUpWindows.LoginPopup.getPasswordTextField;

public class Account_handler {

    public static void getAccount(String username, String password) throws Exception {

        // Sqlstatement
        final String sqlStatement = "SELECT Username, Admin, Phone_no " +
                "FROM " + PROJECT_ID + "." + LOCATION_ID + "." + USERS_TABLE_NAME + " " +
                "WHERE Username = " + '"' + username + '"' + " " +
                "AND Password = " + '"' + password+ '"';

        System.out.println(sqlStatement);

        // Retrieves the results from the queryjob
        TableResult result = HelpingFunctions.createQueryJob(sqlStatement);

        if(result.getTotalRows() != 0) {
            for (FieldValueList row : result.iterateAll()) {

                if (row.get("Username").getValue().equals(username)) {
                    LogoBar.getLogin().setText(username);
                    setUserName(username);
                }

                if (!row.get("Phone_no").isNull()) {
                    setPhoneNo(row.get("Phone_no").getStringValue());
                }

                if (row.get("Admin").getBooleanValue()) {
                    setIsAdmin(true);
                }
            }
        } else {
            NotificationPopUp.displayNotificationWindow("Wrong username or password!");
            getPasswordTextField().clear();
        }
    }

}
